%define	name	xsw
%define	version 1.40.5
%define release 4mdk
%define summary	The XShipWars kickass game !
%define clientdir %{_datadir}/games/xshipwars
%define serverdir %{_localstatedir}/swserv

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Games/Other
Source0:	http://www.battlefieldlinux.com/download/%{name}-%{version}.tar.bz2
Source1:	%{name}.server.conf.bz2
Source2:	%{name}_48x48.xpm
Source3:	%{name}_32x32.xpm
Source4:	%{name}_16x16.xpm
Source5:	blitstd.cpp.bz2
Patch0:		%{name}.monitor.patch.bz2
Url: 		http://wolfpack.twu.net/ShipWars/XShipWars
Requires:	libjsw1 libY2 libesound0 libxpm4 xsw-data xsw-images xsw-sounds
BuildRequires:	libjsw1-devel libY2-devel libesound0-devel libxpm4-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
XShipWars is a highly customizable and massively multiplayer space gamming 
system designed for play entirly over the Internet.
It is the first completed and stable game for Linux written on Linux and has 
been ported to a variety of other platforms.

%package server
Group: 			Games/Other
Summary: 		XShipWars server

%description server
This is the server part of XShipWars game.

%package monitor
Group: 			Games/Other
Summary: 		XShipWars universe monitor

%description monitor
This is the universe monitor part of XShipWars game.

%package unvedit
Group: 			Games/Other
Summary: 		XShipWars universe editor

%description unvedit
This is the universe editor part of XShipWars game.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
bzcat %{SOURCE5} > client/blitstd.cpp
%patch0
cd unvedit
ln -s ../client/mathutil.h .
ln -s ../client/rect.h .

%build
%configure
%define build_opts "CFLAGS = -D__USE_BSD -DUSE_XSHM -DJS_SUPPORT -DHAVE_YIFF -DHAVE_ESD $(echo $RPM_OPT_FLAGS | sed -e s/-fno-exceptions/-fexceptions/)"
make client_linux %{build_opts}
make server_linux %{build_opts}
make monitor_linux %{build_opts}
make unvedit_linux %{build_opts}

%install
%define install_opts "PREFIX = $RPM_BUILD_ROOT/%{_prefix}"
make client_install_unix %{install_opts}
make monitor_install_unix %{install_opts}
make unvedit_install_unix %{install_opts}
make server_install_unix "PREFIX = $RPM_BUILD_ROOT/%{_localstatedir}"
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_sysconfdir}/swserv.conf
mv $RPM_BUILD_ROOT/%{serverdir}/bin/swserv  $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT/%{serverdir}/restart  $RPM_BUILD_ROOT/%{_bindir}/swserv_restart

# icons
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm 
install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm 
install -D -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.xpm"\\
	section="Amusement/Other"\\
	title="XShipWars" \
	longtitle="The XShipWars kickass game"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc CREDITS INSTALL LICENSE README TODO
%{_gamesbindir}/xsw
%{clientdir}/etc
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{serverdir}/db
%{serverdir}/tmp

%files monitor
%defattr(-,root,root)
%{_gamesbindir}/monitor
%{clientdir}/images/monitor

%files unvedit
%defattr(-,root,root)
%{_gamesbindir}/unvedit
%{clientdir}/images/unvedit

%changelog
* Tue Sep 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.40.5-4mdk
- rebuild

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.40.5-3mdk
- rebuild

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.40.5-2mdk
- added in contribs by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- really 1.40.5
	- 16bpp patch
	- split data, image and sound into distinct packages

* Mon Apr 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.5-1mdk
- 1.40.5
- update requires and buildrequires

* Fri Apr 13 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.4-1mdk
- buildrequires libjsw-devel libY2-devel esound-devel libxpm-devel
- 1.40.4

* Wed Mar 07 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.3-1mdk
- 1.40.3

* Sun Feb 18 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.2-1mdk
- first Mandrake release
